#!/bin/bash

set -e

GIT="/usr/bin/git"

REMOTE1="$1"
REMOTE2="$2"
REF="${3:-refs/heads/master}"

REMOTE1_HEAD=$(${GIT} ls-remote ${REMOTE1} ${REF})
REMOTE2_HEAD=$(${GIT} ls-remote ${REMOTE2} ${REF})

if [ "${REMOTE1_HEAD}" == "${REMOTE2_HEAD}" ]
then
  echo 0
else
  echo 1
fi
